generate-password vulnerabilities

Easy library for generating unique passwords.

Latest version 1.4.2
First published 5 years ago
Latest version published 2 days ago

Licenses detected

  • license: MIT >=0
Continuously find & fix vulnerabilities like these in your dependencies. Test and protect your applications

Direct Vulnerabilities

Known vulnerabilities in the generate-password package. This does not include vulnerabilities belonging to this package’s dependencies.

Vulnerability Vulnerable versions Snyk patch Published
  • M
Cryptographic Backdoor
<1.4.1 Not available 10 Jan, 2019
Versions
Version Published Licenses Direct Vulnerabilities
generate-password 1.4.2 Latest 16 Jun, 2019 MIT
  • 0 H
  • 0 M
  • 0 L
generate-password 1.4.1 28 Oct, 2018 MIT
  • 0 H
  • 0 M
  • 0 L
generate-password 1.4.0 21 Jan, 2018 MIT
  • 0 H
  • 1 M
  • 0 L
generate-password 1.3.0 28 Dec, 2016 MIT
  • 0 H
  • 1 M
  • 0 L
generate-password 1.2.0 26 Sep, 2016 MIT
  • 0 H
  • 1 M
  • 0 L
generate-password 1.1.1 24 Dec, 2014 MIT
  • 0 H
  • 1 M
  • 0 L
generate-password 1.0.1 15 Nov, 2014 MIT
  • 0 H
  • 1 M
  • 0 L
generate-password 1.0.2 15 Nov, 2014 MIT
  • 0 H
  • 1 M
  • 0 L
generate-password 0.0.2 24 Jul, 2014 MIT
  • 0 H
  • 1 M
  • 0 L
generate-password 0.0.1 17 Jun, 2014 MIT
  • 0 H
  • 1 M
  • 0 L